#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from pyams_darkgreen_theme.layer import IPyAMSDarkGreenLayer
from pyams_default_theme.component.association import AssociationParagraphDefaultRenderer, \
    AssociationParagraphRemoteContentRenderer, AssociationParagraphSlicedRemoteContentRenderer
from pyams_default_theme.component.association.viewlet import AssociationContentProvider
from pyams_template.template import override_template


override_template(context=AssociationContentProvider,
                  template='templates/association-viewlet.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=AssociationParagraphDefaultRenderer,
                  template='templates/association-default.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=AssociationParagraphSlicedRemoteContentRenderer,
                  template='templates/association-remote-content.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=AssociationParagraphRemoteContentRenderer,
                  template='templates/association-remote-content.pt',
                  layer=IPyAMSDarkGreenLayer)
