#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from pyams_darkgreen_theme.layer import IPyAMSDarkGreenLayer
from pyams_default_theme.features.menu.portlet.navigation import \
    DoubleNavigationPortletDefaultRenderer, DoubleNavigationPortletSelectMenusRenderer, \
    SimpleNavigationPortletCarouselRenderer, SimpleNavigationPortletHorizontalRenderer, \
    SimpleNavigationPortletHorizontalTabsRenderer, SimpleNavigationPortletVerticalPanelsRenderer
from pyams_template.template import override_template


override_template(context=SimpleNavigationPortletHorizontalRenderer,
                  template='templates/simple-horizontal.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SimpleNavigationPortletHorizontalTabsRenderer,
                  template='templates/simple-horizontal-tabs.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SimpleNavigationPortletCarouselRenderer,
                  template='templates/simple-carousel.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SimpleNavigationPortletVerticalPanelsRenderer,
                  template='templates/simple-panels.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=DoubleNavigationPortletDefaultRenderer,
                  template='templates/double-vertical.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=DoubleNavigationPortletSelectMenusRenderer,
                  template='templates/double-select.pt',
                  layer=IPyAMSDarkGreenLayer)
