#
# Copyright (c) 2015-2022 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from pyams_darkgreen_theme.layer import IPyAMSDarkGreenLayer
from pyams_default_theme.shared.site.portlet import SiteContainerSummaryPortletDefaultRenderer, \
    SiteContainerSummaryPortletPanelsRenderer, SiteContainerSummaryPortletVerticalPanelsRenderer
from pyams_template.template import override_template


override_template(context=SiteContainerSummaryPortletDefaultRenderer,
                  template='templates/site-summary.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SiteContainerSummaryPortletPanelsRenderer,
                  template='templates/site-panels.pt',
                  layer=IPyAMSDarkGreenLayer)


override_template(context=SiteContainerSummaryPortletVerticalPanelsRenderer,
                  template='templates/site-panels-vertical.pt',
                  layer=IPyAMSDarkGreenLayer)
